[med-svn] [Git][med-team/python-questplus][master] 3 commits: Add autopkgtest shell script
Andreas Tille
gitlab at salsa.debian.org
Tue Apr 7 07:13:20 BST 2020
Andreas Tille pushed to branch master at Debian Med / python-questplus
Commits:
7a34cba8 by Sao I Kuan at 2020-04-06T16:22:10+09:00
Add autopkgtest shell script
- - - - -
284301d1 by Sao I Kuan at 2020-04-06T16:32:37+09:00
Add Testsuite: autopkgtest-pkg-python
- - - - -
e3b367f6 by Andreas Tille at 2020-04-07T06:13:18+00:00
Merge branch 'master' into 'master'
Add autopkgtest shell script
See merge request med-team/python-questplus!1
- - - - -
5 changed files:
- debian/changelog
- debian/control
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,11 @@
+python-questplus (2019.4-3) UNRELEASED; urgency=medium
+
+ * Team upload
+ * Add test script for autopkgtest
+ * Add Testsuite: autopkgtest-pkg-python
+
+ -- Sao I Kuan <saoikuan at gmail.com> Mon, 06 Apr 2020 16:05:33 +0900
+
python-questplus (2019.4-2) unstable; urgency=medium
* Add salsa-ci file (routine-update)
=====================================
debian/control
=====================================
@@ -17,6 +17,7 @@ Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-questplus
Vcs-Git: https://salsa.debian.org/med-team/python-questplus.git
Homepage: https://github.com/hoechenberger/questplus
+Testsuite: autopkgtest-pkg-python
Package: python3-questplus
Architecture: any
=====================================
debian/rules
=====================================
@@ -3,6 +3,7 @@
# DH_VERBOSE := 1
export PYBUILD_NAME=questplus
+export PYBUILD_TEST_PYTEST = 1
export PYBUILD_BEFORE_TEST=cp -a {dir}/$(PYBUILD_NAME)/tests {build_dir}/$(PYBUILD_NAME)
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,2 @@
+Tests: run-unit-test
+Depends: @, python3-all, python3-pytest
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+for py in $(py3versions -r 2> /dev/null)
+do
+ pushd questplus/tests
+ echo "Testing with $py in $(pwd):"
+ http_proxy="" $py -m pytest -v
+ popd
+done
+
View it on GitLab: https://salsa.debian.org/med-team/python-questplus/-/compare/35d2b9df3e03c0cc3bea408dcd5920b36d413adf...e3b367f634bcede7ea56fda23976bca01ec1335b
--
View it on GitLab: https://salsa.debian.org/med-team/python-questplus/-/compare/35d2b9df3e03c0cc3bea408dcd5920b36d413adf...e3b367f634bcede7ea56fda23976bca01ec1335b
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200407/0d4610a3/attachment-0001.html>
More information about the debian-med-commit
mailing list